/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#+
#+     Internet Radio Automation & Encoding Toolkit
#+
#+     Copyright (C) 2018, 2019, 2020, 2021 by Kevin C. O'Kane
#+
#+     Kevin C. O'Kane
#+     kc.okane@gmail.com
#+     https://www.cs.uni.edu/~okane
#+     https://threadsafebooks.com/
#+
#+ This program is free software; you can redistribute it and/or modify
#+ it under the terms of the GNU General Public License as published by
#+ the Free Software Foundation; either version 2 of the License, or
#+ (at your option) any later version.
#+
#+ This program is distributed in the hope that it will be useful,
#+ but WITHOUT ANY WARRANTY; without even the implied warranty of
#+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#+ GNU General Public License for more details.
#+
#+ You should have received a copy of the GNU General Public License
#+ along with this program; if not, write to the Free Software
#+ Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#+
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

//	Sept 25, 2023

#include "includes.h"
#include "common-externs.h"
#define SLASH '/'

void	on_five_speed_toggled(GtkWidget *w) {

        if (!gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(w))) return;

	if (!mediaPlayer) return;

	vlc_no_pause();

	int err = libvlc_media_player_set_rate(mediaPlayer, 5.0);

	}

void	on_quad_speed_toggled(GtkWidget *w) {

        if (!gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(w))) return;

	if (!mediaPlayer) return;

	vlc_no_pause();

	int err = libvlc_media_player_set_rate(mediaPlayer, 4.0);

	}

void	on_tripple_speed_toggled(GtkWidget *w) {

        if (!gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(w))) return;

	if (!mediaPlayer) return;

	vlc_no_pause();

	int err = libvlc_media_player_set_rate(mediaPlayer, 3.0);

	}

void	on_double_speed_toggled(GtkWidget *w) {

        if (!gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(w))) return;

	if (!mediaPlayer) return;

	vlc_no_pause();

	int err = libvlc_media_player_set_rate(mediaPlayer, 2.0);

	}

void	on_full_speed_toggled(GtkWidget *w) {

        if (!gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(w))) return;

	if (!mediaPlayer) return;

	vlc_no_pause();

	int err = libvlc_media_player_set_rate(mediaPlayer, 1.0);

	}

void	on_half_speed_toggled(GtkWidget *w) {

        if (!gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(w))) return;

	if (!mediaPlayer) return;

	vlc_no_pause();

	int err = libvlc_media_player_set_rate(mediaPlayer, 0.5);

	}

void	on_quarter_speed_toggled(GtkWidget *w) {

        if (!gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(w))) return;

	if (!mediaPlayer) return;

	vlc_no_pause();

	int err = libvlc_media_player_set_rate(mediaPlayer, 0.25);

	}

void	on_eighth_speed_toggled(GtkWidget *w) {

        if (!gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(w))) return;

	if (!mediaPlayer) return;

	vlc_no_pause();

	int err = libvlc_media_player_set_rate(mediaPlayer, 0.125);

	}
